Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.listBridgeAnnouncedServices({
bridgeId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges/{bridge_id}/announced_services \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges/{bridge_id}/announced_services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/tunnel/bridges/{bridge_id}/announced_services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"name": "<string>",
"port": 123,
"servicePath": "<string>",
"serviceType": "<string>",
"transportType": "<string>"
}
]
}Tunnel
List Bridge Announced Services
ListBridgeAnnouncedServices returns the services the appliance is currently announcing for this bridge. Read live from the tunnel store; empty when no appliance is connected.
GET
/
api
/
v1
/
iam
/
tunnel
/
bridges
/
{bridge_id}
/
announced_services
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tunnelCredentials.listBridgeAnnouncedServices({
bridgeId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The bridgeId field.
Response
200 - application/json
Successful response
The TunnelCredentialsServiceListBridgeAnnouncedServicesResponse message.
The list field.
Show child attributes
Show child attributes
Was this page helpful?
⌘I